Zum Hauptinhalt springen

Get a Registry

GET/v2/registries/{registryId}
API-Version
v2
Request-Methode
GET
Operation-ID
container-get-registry

Request​

  • registryIdstring (uuid)required

    ID of the Registry to be retrieved.

Responses​

Format
application/json
Beschreibung

OK

  • credentialsobject
    • usernamestringrequired

      Your registry username.

    • validbooleanrequired

      Status of the credentials.

  • descriptionstringrequired
  • idstring (uuid)required
  • projectIdstring (uuid)required
  • uristringrequired
Content-Type: application/json

{
"credentials": {
"username": "username",
"valid": true
},
"description": "DockerHub",
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"projectId": "f0f86186-0a5a-45b2-aa33-502777496347",
"uri": "index.docker.io"
}
{
"properties": {
"credentials": {
"properties": {
"username": {
"description": "Your registry username.",
"example": "username",
"type": "string"
},
"valid": {
"description": "Status of the credentials.",
"example": true,
"type": "boolean"
}
},
"required": [
"username",
"valid"
],
"type": "object"
},
"description": {
"example": "DockerHub",
"type": "string"
},
"id": {
"format": "uuid",
"type": "string"
},
"projectId": {
"format": "uuid",
"type": "string"
},
"uri": {
"example": "index.docker.io",
"type": "string"
}
},
"required": [
"id",
"projectId",
"uri",
"description"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/registries/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.container.getRegistry({
"registryId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Container\GetRegistry\GetRegistryRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetRegistryRequest(
registryId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->container()->getRegistry($request);

var_dump($response->getBody();

Auf dieser Seite